.front {
  position: relative;
  display: flex;
  overflow: hidden;
  min-height: 100vh;
  background: #fff;

  @include media-breakpoint-down(xl) {
    flex-direction: column;
  }

  &:before {
    position: absolute;
    z-index: -1;
    display: block;
    width: 100%;
    height: 100%;
    opacity: .1;
    content: '';
    background: url(../img/postcard.jpg) no-repeat center;
    background-size: 100% auto;

    @include media-breakpoint-down(xl) {
      display: none;
    }
  }

  &__content {
    padding-top: 50px;
    display: flex;
    width: 50.9%;
    align-items: center;

    @include media-breakpoint-down(xxl) {
      padding-top: 0;
    }

    @include media-breakpoint-down(xl) {
      position: relative;
      padding: 190px 0 102px;
      width: 100%;
      flex-direction: column;
      text-align: center;
    }

    @include media-breakpoint-down(md) {
      padding-top: 155px;
      padding-bottom: 58px;
    }

    &:before {

      @include media-breakpoint-down(xl) {
        position: absolute;
        z-index: 1;
        top: 0;
        left: 0;
        display: block;
        width: 100%;
        height: 100%;
        opacity: .1;
        content: '';
        background: url(../img/postcard.jpg) no-repeat center;
        background-size: auto 100%;
      }
    }
  }

  &__container {

    @include media-breakpoint-down(md) {
      padding-right: 15px;
      padding-left: 15px;
    }
  }

  &__content-inner {
    position: relative;
    z-index: 2;
    max-width: 580px;

    @include media-breakpoint-down(xl) {
      margin: 0 auto;
    }

    @include media-breakpoint-down(md) {
      width: 100%;
    }
  }

  &__sections-wrapper {
    display: flex;
    width: 49.1%;

    @include media-breakpoint-down(xl) {
      width: 100%;
    }

    @include media-breakpoint-down(md) {
      flex-direction: column;
    }
  }

  &__section {
    padding: 116px 0;
    display: flex;
    overflow: hidden;
    width: 33.33%;
    flex-direction: column;
    justify-content: flex-end;
    text-decoration: none;
    color: $black;
    transition: all .5s .3s cubic-bezier(.25, .1, .25, 1);

    @include media-breakpoint-down(xxl) {
      padding-top: 150px;
    }

    @include media-breakpoint-down(xl) {
      padding: 60px 0 25px;
      transition: none;
    }

    @include media-breakpoint-down(md) {
      padding: 60px 20px;
      width: 100%;
      align-items: center;
    }

    &:hover {
      width: 42.1%;
      color: $gray;

      @include media-breakpoint-down(md) {
        width: 100%;
      }

      .front__section-picture {
        transform: translateX(0);

        @include media-breakpoint-down(md) {
          transform: none;
        }
      }

      .front__section-title {

        &:after {
          opacity: 1;
        }
      }
    }

    &--red {
      background: #f39b96;
    }

    &--yellow {
      background: #ffe9a5;
    }

    &--green {
      background: #bacbc0;
    }

    &--grated {

      .front__section-picture {
        transform: translateX(30%);

        @include media-breakpoint-down(md) {
          transform: none;
        }
      }

      &:hover {

        .front__section-picture {
          transform: translateX(2%);

          @include media-breakpoint-down(md) {
            transform: none;
          }
        }
      }
    }
  }

  &__section-picture {
    margin-bottom: 60px;
    display: flex;
    height: 520px;
    justify-content: center;
    align-items: center;
    transition: all .5s .3s cubic-bezier(.25, .1, .25, 1);
    transform: translateX(55%);

    @media (max-width: 1899px) {
      transform: translateX(80%);
    }

    @include media-breakpoint-down(xxl) {
      height: 460px;
      transform: translateX(80%);
    }

    @media (max-height: 719px) {
      max-width: 320px;
      max-height: 320px;
      transform: translateX(50%);
    }

    @include media-breakpoint-down(xl) {
      transform: translateX(50%);
    }

    @include media-breakpoint-down(lg) {
      transform: translateX(70%);
    }

    @include media-breakpoint-down(md) {
      margin-bottom: 40px;
      max-width: 100%;
      height: 285px;
      align-items: flex-end;
      transform: none;
    }
  }

  &__section-picture-inner {
    position: relative;

    &:after {
      position: absolute;
      top: 0;
      left: 0;
      display: block;
      width: 100%;
      height: 100%;
      content: '';
      background: rgba($black, .3);
      filter: blur(40px);
    }

    &--round {

      &:after {
        top: 23%;
        left: 17%;
        width: 80%;
        height: 80%;
        background: rgba($black, .25);
        border-radius: 50%;
      }
    }

    &--rectangle {

      &:after {
        top: 10%;
        left: 50%;
        width: 100%;
        height: 100%;
        background: rgba($black, .25);
        transform: translateX(-50%);
      }
    }
  }

  &__section-picture-img {
    position: relative;
    z-index: 1;
    max-width: none;
    max-height: 520px;

    @include media-breakpoint-down(xxl) {
      max-width: 460px;
      max-height: 460px;
    }

    @media (max-height: 719px) {
      max-width: 320px;
      max-height: 320px;
    }

    @include media-breakpoint-down(md) {
      max-width: 285px;
      max-height: 285px;
    }
  }

  &__section-title {
    position: relative;
    margin-top: -45px;
    margin-bottom: 0;
    text-align: center;

    @include media-breakpoint-down(xxl) {
      margin-top: -15px;
    }

    @include media-breakpoint-down(xl) {
      margin-top: -45px;
    }

    @include media-breakpoint-down(md) {
      margin-top: 0;
      font-size: 48px;
      line-height: .73;
    }

    &:after {
      position: absolute;
      top: calc(100% + 30px);
      left: 50%;
      display: block;
      width: 90px;
      height: 10px;
      opacity: 0;
      content: '';
      background: url(../img/item-dash.svg) no-repeat center;
      background-size: contain;
      transition: all .5s .3s cubic-bezier(.25, .1, .25, 1);
      transform: translateX(-50%);
    }
  }
}
